Loading...
Searching...
No Matches
sdbus::SignalEmitter Class Reference

## Public Member Functions

SignalEmitter & | onInterface (const InterfaceName &interfaceName)
SignalEmitter & | onInterface (const std::string &interfaceName)
SignalEmitter & | onInterface (const char *interfaceName)
template<typename... Args>
void | withArguments (Args &&... args)
| SignalEmitter (const SignalEmitter &)=delete
SignalEmitter & | operator= (const SignalEmitter &)=delete
| SignalEmitter (SignalEmitter &&other)=default
SignalEmitter & | operator= (SignalEmitter &&)=delete

The documentation for this class was generated from the following files:

- include/sdbus-c++/ConvenienceApiClasses.h
- include/sdbus-c++/ConvenienceApiClasses.inl